* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'roboto', sans-serif;
  }

.logo {
    color: #000;
    font-size: 2rem;
    font-weight: bold;
}


.hero-container {
    margin: 50px 30px;
    padding-top: 30px;
}

.hero-container button {
    background-color: #000;
    color: #fff;
    border: none;
    padding: 15px;
    font-size: 0.8rem;
    display: grid;
    grid-template-columns: 1fr;
    margin: 30px auto;
}

.hero-container button:hover {
    background-color: #707070;
}

.hero-text {
    display: grid;
    grid-template-columns: 1fr 8fr 1fr;
}

.hero-text h1 {
    font-size: 3rem;
    line-height: 3.2rem;
    font-weight: 500;
    grid-column-start: 2;
    text-align: center;
}

.hero-text h3 {
    margin-top: 10px;
    font-weight: 200;
}

.home-portfolio-img {
    overflow: hidden;
    margin: 0 auto;
}

.home-portfolio-img img {
    width: 100%;
    transition: 0.5s all ease-in-out;
}

.home-portfolio-img:hover img {
    transform: scale(1.15);
}

.about-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    margin-bottom: 2rem;
    padding: 0 15px;
}

.about-image img {
    display: flex;
    border: 0;
    width: 100%;
    height: auto;
}

.about-text p {
    margin-bottom: 1rem;
}

.contact-text p {
    text-align: center;
    margin-bottom: 1rem;
}

.contact-icons {
    font-size: 1.5rem;
}

.description-body p {
    margin-bottom: 1rem;
}

.description-container {
    margin-top: 3rem;
}

.description-headline {
    display: grid;
    grid-template-columns: 1fr 6fr 1fr;
}

.description-headline-text {
    grid-column-start: 2;
}

.description-headline-text h2 {
    margin-bottom: 0.2rem;
}

.description-headline-text h3 {
    margin-bottom: 0.6rem;
}

.description-main {
    display: grid;
    grid-template-columns: 1fr 4fr 2fr 1fr;
}

.description-body {
    grid-column-start: 2;
}

.description-main {
    margin-bottom: 3rem;
}

.description-sideline {
    grid-column-start: 3;
}

.description-sideline ul {
    list-style-type: none;
    margin-left: 2rem;
}

.description-sideline li {
    padding-bottom: 0.4rem;
    border-bottom: 1px solid #e7e7e7;
    margin-bottom: 0.4rem;
}

.description-sideline p {
    color: #707070;
    margin-bottom: 0.4rem;
    font-size: 0.9rem;
}

.description-sideline h3 {
    margin-bottom: 0.4rem;
    font-size: 1.1rem;
}

.description-sideline a {
    font-size: 1.1rem;
    font-weight: 500;
}

.feature-container {
    display: grid;
    grid-template-columns: 1fr 8fr 1fr;
}

.feature-image {
    grid-column-start: 2;
    display: grid; 
    justify-content: center;
}

.feature-image img {
    width: 100%;
    height: auto;
}

.home-portfolio {
    padding: 0 15px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.home-portfolio-item {
    margin-bottom: 20px;
}

.home-portfolio-item img {
    display: flex;
    border: 0;
    width: 100%;
    height: auto;
}

.home-portfolio-item h4 {
    font-size: 1.5rem;
    line-height: 1.4;
    font-weight: 500;
    margin-top: 10px;
    text-align: center;
}

.home-portfolio-item h6 {
    font-size: 0.9rem;
    color: #707070;
    text-align: center;
    font-weight: 300;
}

footer {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #ececec;
}

.footer-copyright {
    padding: 30px;
    text-align: center;
    color: #707070;
}

.footer-copyright p {
    font-size: 0.8rem;
}

.footer-icons {
    padding: 30px;
    font-size: 1.5rem;
}

.footer-icons a {
    color:#707070;
}

.footer-icons a:hover {
    color:#000;
}

.icon {
    padding: 0 5px;
}

.contact-icons {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.email {
    grid-column-start: 1;
    display: grid;
    justify-content: center;
}

.phone {
    grid-column-start: 2;
    display: grid;
    justify-content: center;
}




/* Menu Start */
  
  a {
    color: #000;
    text-decoration: none;
  }
  
  /* header */
  
  .header {
    position: fixed;
    width: 100%;
    z-index: 3;
    margin-top: -50px;
    background-color: #fff;
  }
  
  .header ul {
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
    background-color: #fff;
  }
  
  .header li a {
    display: block;
    padding: 20px 20px;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 0.8rem;
  }
  
  .header li a:hover,
  .header .menu-btn:hover {
    color: #707070;
  }

 .active a {
    color: #707070;
  }
  
  .header .logo {
    display: block;
    float: left;
    font-size: 2em;
    padding: 10px 20px;
    text-decoration: none;
  }
  
  /* menu */
  
  .header .menu {
    clear: both;
    max-height: 0;
    transition: max-height .2s ease-out;
  }
  
  /* menu icon */
  
  .header .menu-icon {
    cursor: pointer;
    display: inline-block;
    float: right;
    padding: 28px 20px;
    position: relative;
    user-select: none;
  }
  
  .header .menu-icon .navicon {
    background: #333;
    display: block;
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 18px;
  }
  
  .header .menu-icon .navicon:before,
  .header .menu-icon .navicon:after {
    background: #333;
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all .2s ease-out;
    width: 100%;
  }
  
  .header .menu-icon .navicon:before {
    top: 5px;
  }
  
  .header .menu-icon .navicon:after {
    top: -5px;
  }
  
  /* menu btn */
  
  .header .menu-btn {
    display: none;
  }
  
  .header .menu-btn:checked ~ .menu {
    max-height: 240px;
  }
  
  .header .menu-btn:checked ~ .menu-icon .navicon {
    background: transparent;
  }
  
  .header .menu-btn:checked ~ .menu-icon .navicon:before {
    transform: rotate(-45deg);
  }
  
  .header .menu-btn:checked ~ .menu-icon .navicon:after {
    transform: rotate(45deg);
  }
  
  .header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
  .header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
    top: 0;
  }

  .last {
    border-bottom: 1px solid #ececec;
  }
  
  /* 48em = 768px */
  
  @media (min-width: 48em) {
    .header li {
      float: left;
    }
    .header li a {
      padding: 20px 30px;
    }
    .header .menu {
      clear: none;
      float: right;
      max-height: none;
    }
    .header .menu-icon {
      display: none;
    }

    .last {
        border-bottom: none;
    }
  }

/* Menu End */

@media screen and (max-width: 460px) {

    .about-container {
        grid-template-columns: repeat(1, 1fr);
    }

    .description-container {
        margin: 3rem 2rem;
    }

    .description-main {
        grid-template-columns: repeat(1, 1fr);
    }

    .description-headline {
        grid-template-columns: repeat(1, 1fr);
    }

    .description-headline-text {
        grid-column-start: auto;
    }

    .description-body {
        grid-column-start: auto;
    }

    .description-sideline {
        grid-column-start: auto;
        margin-top: 2rem;
    }

    .description-sideline ul {
        margin-left: 0;
    }

    .home-portfolio {
        grid-template-columns: repeat(1, 1fr);
    }

    footer {
        display: block;
    }

    .footer-copyright {
        padding: 20 0 0 0px;
    }

    .footer-icons {
        padding-top: 0px;
        text-align: center;
    }
}

@media screen and (min-width: 950px) {
    .about-container {
        gap: 3rem;
        margin: 0rem 3rem 3rem 3rem;
    }

    .description-container {
        margin-top: 2rem;
    }

    .home-portfolio {
        grid-template-columns: repeat(2, 1fr);
        gap: 3rem;
        margin: 0rem 3rem 3rem 3rem;
    }

    .header {
        padding: 2rem;
    }

    .header li a {
        padding: 2rem;
    }

    .header .logo {
        padding: 2rem;
    }

    .hero-container {
        padding-top: 7rem;
    }

    footer {
        padding: 0 2rem;
    }

    .footer-copyright {
        padding: 2rem;
    }

    .footer-icons {
        padding: 2rem;
    }

}